cutadapt

module (bold = default) build dependencies
cutadapt/b1 python 2.7.6 python/2.7.6
cutadapt/b2 python 2.7.10 python/2.7.10/b1

also see Using Software.